plotdensity.FCS {rflowcyt} | R Documentation

## Create density plots one parameter of one (or more) FCS object(s)

### Description

Produce density plot(s) using the `density.lf` function of the `locfit` library. a single column variable specified from the data of one (or more) FCS object(s).

### Usage

    plotdensity.FCS(data,varpos,xlab,ylab,col, xlim = NULL, ylim = NULL,main=NULL,...)

### Arguments

`data` | a list of one (or more) FCS object(s) or a cytoSet object
`varpos` | the numerical column variable position of the data of the FCS object
`xlab` | a title for the x axis
`ylab` | a title for the y axis
`col` | The colors for lines and points. Multiple colors can be specified so that each point can be given its own color. If there are fewer colors than points they are recycled in the standard fashion. Lines will all be plotted in the first colour specified.
`xlim` | limits for the x axis
`ylim` | limits for the y axis
`main` | title of the plot
`...` | any other arguments are passed to the `plot` function

### Details

Produce density plot(s) using the `density.lf` function of the `locfit` library. Other options from the functions `plot`.

### Value

None.

### Author(s)

N. Le Meur

### See Also

`density.lf`

### Examples

     if (require(rfcdmin)) {
      ##Obtain the location of the fcs files
      pathFiles<-system.file("bccrc", package="rfcdmin")
      drugFiles<-dir(pathFiles)

      ## Read a serie of FCS files
      drugData<-read.series.FCS(drugFiles,path=pathFiles,MY.DEBUG=FALSE)

      }

     ##Draw a density plot for the Foward SCatter parameter for the
     ##differents aliquots (of the same cell line) tested with different
     ##compounds.
     plotdensity.FCS(drugData,varpos=c(1),main="FSC for the aliquots treated with different compounds",ylim=c(0,0.005),ylab="Density of cells")

[Package rflowcyt version 1.4.0 Index]